+ Antworten
Ergebnis 1 bis 5 von 5

Thema: Fehlermeldung unter Joomla 3.9.8

  1. #1
    Neu an Board
    Registriert seit
    04.12.2010
    Beiträge
    34
    Bedankte sich
    3
    Erhielt 0 Danksagungen
    in 0 Beiträgen

    Standard Fehlermeldung unter Joomla 3.9.8

    Hallo!

    Ich habe eine ganz neue Joomla-Seite mit Hilfe dieser Installationsdatei installiert und zusätzlich das Template "Helix 3" hinzugefügt. Weiter habe ich die Verzeichnisse anhand dieser Anleitungen geschützt.

    Unter PHP 7.1 läuft die Homepage ohne Probleme. Wenn ich auf PHP 7.3 umstelle, erscheint neben dem Logo bei der Navigation jedoch diese Fehlermeldung:

    Code:
    Warning: "continue" targeting switch is equivalent to "break". Did you mean to use "continue 2"? in /www/htdocs/NUTZERNAME/HAUPTVERZEICHNIS/plugins/system/helix3/core/classes/menu.php on line 89
    Ist Joomla 3.9.8 nicht mit PHP 7.3 kompatibel oder habe ich beim Verzeichnisschutz unter /plugins einen Fehler gemacht?

    Danke im Voraus!

    Grüße!

  2. #2
    Hat hier eine Zweitwohnung Avatar von Sieger66
    Registriert seit
    23.05.2010
    Beiträge
    1.849
    Bedankte sich
    15
    Erhielt 491 Danksagungen
    in 462 Beiträgen

    Standard

    Ist ja nur eine Warnung und wohl ein Bug im Helix-Template-Plugin
    plugins/system/helix3/core/classes/menu.php

    The use of continue inside a switch statement did NOT throw a warning in PHP 5 and PHP 7.0 to 7.2 inclusive. In PHP 7.3 it started throwing a PHP Warning. In PHP 7.4 or 8.0 (it's not yet set in stone) it will be not allowed and throw a PHP Error.
    Damit keine PHP-Fehler und Warnungen mehr ausgegeben werden:

    System -> Konfiguration -> Server -> Fehler berichten -> keine
    und auf Speichern klicken.
    Geändert von Sieger66 (20.06.2019 um 17:36 Uhr)
    Gelöstes Problem bitte so markieren http://www.joomlaportal.de/forenrege...tel-ndern.html
    Fragen und Antworten zu Joomla in den Joomla FAQ
    - Danke für den Klick auf Danke

  3. #3
    Gehört zum Inventar Avatar von Re:Later
    Registriert seit
    21.04.2014
    Ort
    Berlin
    Beiträge
    5.794
    Bedankte sich
    155
    Erhielt 2.254 Danksagungen
    in 2.021 Beiträgen

    Standard

    Nichts von beiden. Es ist das Helix-Plugin, das den Fehler wirft. Vielleicht gibts eine aktuellere Version oder gehst erst mal wieder auf 7.2. Wpbei man sich nicht täuschen sollte. Dann wird die Warning nur nicht angezeigt, obwohl ""Fehler"" vorhanden. Ist ja auch kein Fehler, sondern halt nur eine harmlose Warnung.

    Was ist denn "Verzeichnisschutz unter Plugins". Wäre vollkommen übertrieben, wenn du da einen angelegt hast.

    EDIT: Jetzt sehe ich "Weiter habe ich die Verzeichnisse anhand dieser Anleitungen geschützt.". Tus nicht. Macht mehr Probleme als der Kram irgendwas bringt in der Realität.
    Joomlafachmann: https://www.ghsvs.de

  4. #4
    Neu an Board
    Registriert seit
    04.12.2010
    Beiträge
    34
    Bedankte sich
    3
    Erhielt 0 Danksagungen
    in 0 Beiträgen

    Standard

    Danke erstmal für die Antworten.

    Zitat Zitat von Re:Later Beitrag anzeigen
    EDIT: Jetzt sehe ich "Weiter habe ich die Verzeichnisse anhand dieser Anleitungen geschützt.". Tus nicht. Macht mehr Probleme als der Kram irgendwas bringt in der Realität.
    Kann ich dies dann wieder rückgängig machen, indem ich die .htaccess-Dateien aus den einzelnen Verzeichnissen in FileZilla per Hand einfach wieder rauslösche?

  5. #5
    Gehört zum Inventar Avatar von Re:Later
    Registriert seit
    21.04.2014
    Ort
    Berlin
    Beiträge
    5.794
    Bedankte sich
    155
    Erhielt 2.254 Danksagungen
    in 2.021 Beiträgen

    Standard

    Würde sagen, ja.
    Falls du auch Dateirechte geändert hast, solltest du sie auch wieder rückgängig machen.
    Joomlafachmann: https://www.ghsvs.de

+ Antworten

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein